Merge "Add triggers to UDS Build Job"
authorMatthew McNeilly <matthew.mcneilly.est@gmail.com>
Fri, 31 Jul 2020 15:24:33 +0000 (15:24 +0000)
committerNordix Gerrit <gerrit@nordix.org>
Fri, 31 Jul 2020 15:24:33 +0000 (15:24 +0000)
22 files changed:
jjb/airship/job_capi_bm_v1a3_integration_tests_centos.yml
jjb/airship/job_capi_bm_v1a3_integration_tests_ubuntu.yml
jjb/airship/job_capi_bm_v1a4_integration_tests_centos.yml
jjb/airship/job_capi_bm_v1a4_integration_tests_ubuntu.yml
jjb/airship/job_capi_bm_v1a4_master_integration_tests_centos.yml
jjb/airship/job_capi_bm_v1a4_master_integration_tests_ubuntu.yml
jjb/airship/job_feature_tests_ubuntu.yml
jjb/airship/job_master_feature_tests_ubuntu.yml
jjb/cloud-infra/engine-jobs/engine-verify-deploy-test.yaml
jjb/cloud-infra/engine-macros.yaml
jjb/cloud-infra/ironic-jobs/ironic-release-jobs.yaml
jjb/cloud-infra/ironic-jobs/ironic-verify-package.yaml
jjb/cloud-infra/ironic-jobs/ironic-verify-provision.yaml
jjb/cloud-infra/kubernetes-jobs/kubernetes-release-deploy-test.yaml
jjb/cloud-infra/kubernetes-jobs/kubernetes-verify-deploy-test.yaml
jjb/cloud-infra/onap-jobs/onap-verify-deploy-test.yaml
jjb/cloud-infra/openstack-jobs/openstack-release-deploy-test.yaml
jjb/cloud-infra/openstack-jobs/openstack-release-jobs.yaml
jjb/cloud-infra/openstack-jobs/openstack-verify-deploy-test.yaml
jjb/cloud-infra/scripts/download-deploy-artifact.sh [moved from jjb/cloud-infra/scripts/download-artifact.sh with 93% similarity]
jjb/cloud-infra/scripts/download-functest-artifact.sh [new file with mode: 0755]
jjb/cloud-infra/scripts/download-yardstick-artifact.sh [new symlink]

index 5f116f7fa387adc50a71d11a0b53afb6e44c6399..28f3fc17f1fcd817b17d82fe17c2a07db3fbb134 100644 (file)
@@ -90,7 +90,7 @@
         org-list: "{ci_github_whitelist_org}"
         cron: 'H/5 * * * *'
         auth-id: "{ci_ghprb_auth_id}"
-        trigger-phrase: '((.|\n)*\s)?/test-centos-integration(\s(.|\n)*)?'
+        trigger-phrase: '((.|\n)*\s)?/test-v1a3-centos-integration(\s(.|\n)*)?'
         skip-build-phrase: '/skip-test'
         only-trigger-phrase: True
         github-hooks: True
         white-list-target-branches:
           - 'master'
           - 'release-0.3'
-        status-context: "test-centos-integration"
+        status-context: "test-v1a3-centos-integration"
         success-status: "Passed"
         failure-status: "Failed"
         error-status: "Error"
index f14318710eec74aaeb585de7a317a3490d3c2519..b1243c3cd45949c98c96bf22ea579993fa0d1012 100644 (file)
@@ -90,7 +90,7 @@
         org-list: "{ci_github_whitelist_org}"
         cron: 'H/5 * * * *'
         auth-id: "{ci_ghprb_auth_id}"
-        trigger-phrase: '((.|\n)*\s)?/test-integration(\s(.|\n)*)?'
+        trigger-phrase: '((.|\n)*\s)?/test-v1a3-integration(\s(.|\n)*)?'
         skip-build-phrase: '/skip-test'
         only-trigger-phrase: True
         github-hooks: True
         white-list-target-branches:
           - 'master'
           - 'release-0.3'
-        status-context: "test-integration"
+        status-context: "test-v1a3-integration"
         success-status: "Passed"
         failure-status: "Failed"
         error-status: "Error"
index d650ee24e2dd7a0ecde80b36f1a00a71fabdf55c..f6a5c329d4762ff59545e3efec29679007439a90 100644 (file)
@@ -59,7 +59,7 @@
         description: 'Distribution to use for the tests. Can be ubuntu or centos'
     - string:
         name: CAPI_VERSION
-        default: 'v1alpha4'
+        default: 'v1alpha3'
         description: 'Cluster API version. Can be v1alpha3.'
     - string:
         name: CAPM3_VERSION
@@ -90,7 +90,7 @@
         org-list: "{ci_github_whitelist_org}"
         cron: 'H/5 * * * *'
         auth-id: "{ci_ghprb_auth_id}"
-        trigger-phrase: '((.|\n)*\s)?/test-v1a4-centos-integration(\s(.|\n)*)?'
+        trigger-phrase: '((.|\n)*\s)?/test-centos-integration(\s(.|\n)*)?'
         skip-build-phrase: '/skip-test'
         only-trigger-phrase: True
         github-hooks: True
         white-list-target-branches:
           - 'master'
           - 'release-0.3'
-        status-context: "test-v1a4-centos-integration"
+        status-context: "test-centos-integration"
         success-status: "Passed"
         failure-status: "Failed"
         error-status: "Error"
index c1e85f25ba10795d35ce847d1ee0c3b64dde66cf..35fbff77ba3598ed6658ad85bc62ef8393ae593a 100644 (file)
@@ -59,7 +59,7 @@
         description: 'Distribution to use for the tests. Can be ubuntu or centos'
     - string:
         name: CAPI_VERSION
-        default: 'v1alpha4'
+        default: 'v1alpha3'
         description: 'Cluster API version. Can be v1alpha3.'
     - string:
         name: CAPM3_VERSION
@@ -90,7 +90,7 @@
         org-list: "{ci_github_whitelist_org}"
         cron: 'H/5 * * * *'
         auth-id: "{ci_ghprb_auth_id}"
-        trigger-phrase: '((.|\n)*\s)?/test-v1a4-integration(\s(.|\n)*)?'
+        trigger-phrase: '((.|\n)*\s)?/test-integration(\s(.|\n)*)?'
         skip-build-phrase: '/skip-test'
         only-trigger-phrase: True
         github-hooks: True
         white-list-target-branches:
           - 'master'
           - 'release-0.3'
-        status-context: "test-v1a4-integration"
+        status-context: "test-integration"
         success-status: "Passed"
         failure-status: "Failed"
         error-status: "Error"
index 6fa3c9433ff26f4a0ec3bdb6e21163b08b700087..8a7f59b4d2d836dd93bb27643b478931bbc6cf3e 100644 (file)
@@ -59,7 +59,7 @@
         description: 'Distribution to use for the tests.'
     - string:
         name: CAPI_VERSION
-        default: 'v1alpha4'
+        default: 'v1alpha3'
         description: 'Cluster API version. Can be v1alpha3.'
     - string:
         name: CAPM3_VERSION
index c2a666170049b8381747edf05a221e54a47f5674..88a65a4d3522c9cbe85c4257dbd956b0b7582883 100644 (file)
@@ -59,7 +59,7 @@
         description: 'Distribution to use for the tests.'
     - string:
         name: CAPI_VERSION
-        default: 'v1alpha4'
+        default: 'v1alpha3'
         description: 'Cluster API version. Can be v1alpha3.'
     - string:
         name: CAPM3_VERSION
index be50df84b83aa38b878a00818921db0e8bda7722..3e848cdd9668ed6514a102f11701d8ad2cf0b8e0 100644 (file)
@@ -59,7 +59,7 @@
         description: 'Distribution to use for the tests.'
     - string:
         name: CAPI_VERSION
-        default: 'v1alpha4'
+        default: 'v1alpha3'
         description: 'Cluster API version. Can be v1alpha3.'
     - string:
         name: CAPM3_VERSION
index 3220322c3a9dc99ec03e0dd8cce6eedd3f6b3334..380b1e3688439741766ec91c86e424f4d74499dd 100644 (file)
@@ -59,7 +59,7 @@
         description: 'Distribution to use for the tests.'
     - string:
         name: CAPI_VERSION
-        default: 'v1alpha4'
+        default: 'v1alpha3'
         description: 'Cluster API version. Can be v1alpha3.'
     - string:
         name: CAPM3_VERSION
index 4daf2ef67e6c44dcdf7c62aeb9096b5fd0f5511f..164c6793245f6f63af6cb621b8b925c2753c7475 100644 (file)
     builders:
       - 'generate-ssh-keypair-macro'
       - 'wait-pkg-mgr-macro'
-      - 'download-artifact-macro'
+      - 'download-{phase}-artifact-macro'
       - '{phase}-macro'
index 32d44e033d0b7ddb00c195d2329e5359d2d9e354..9fe9404f64105614c832da38e728616793b99d3d 100644 (file)
           !include-raw: ./scripts/upload-artifact.sh
 
 - builder:
-    name: 'download-artifact-macro'
+    name: 'download-deploy-artifact-macro'
     builders:
       - shell:
-          !include-raw: ./scripts/download-artifact.sh
+          !include-raw: ./scripts/download-deploy-artifact.sh
+
+- builder:
+    name: 'download-functest-artifact-macro'
+    builders:
+      - shell:
+          !include-raw: ./scripts/download-functest-artifact.sh
+
+- builder:
+    name: 'download-yardstick-artifact-macro'
+    builders:
+      - shell:
+          !include-raw: ./scripts/download-yardstick-artifact.sh
 
 - builder:
     name: 'deploy-macro'
index 98370e940428b70d5b76ef9f4ea59f1c582ec615..0be5d003bf41662940ba6f08963eca57937bc218 100644 (file)
@@ -57,7 +57,7 @@
 
     disabled: '{obj:disabled}'
 
-    node: 'engine-package-{distro}-fra'
+    node: 'engine-package-ubuntu1804-fra'
 
     concurrent: false
 
     builders:
       - description-setter:
           description: provisioning
-      - 'download-artifact-macro'
+      - 'download-deploy-artifact-macro'
       - 'deploy-macro'
 
 # vim: set ts=2 sw=2 expandtab:
index bb2997c2fb70afc176d0e554e0517e09871bf0ae..bcb6a0d804b4cc6226aac97e2e760b9ca2f8a3fd 100644 (file)
@@ -49,7 +49,7 @@
 
     disabled: '{obj:disabled}'
 
-    node: 'engine-package-{distro}-fra'
+    node: 'engine-package-ubuntu1804-fra'
 
     concurrent: true
 
index 0522db204ffc9ec12653b892be8e324b1c8df603..84ee3eb549250803afd21fc49418198c8caa5adf 100644 (file)
@@ -86,7 +86,7 @@
           description: 'Distribution to use for configuring target nodes (networking etc.)'
       - label:
           name: SLAVE_LABEL
-          default: 'engine-{slave-type}-{environment-type}-{distro}-fra'
+          default: 'engine-{slave-type}-{environment-type}-ubuntu1804-fra'
           description: 'Slave label to schedule this job on.'
       - string:
           name: HW_TYPE
       - inject:
           properties-file: "$WORKSPACE/change.properties"
       - 'generate-ssh-keypair-macro'
-      - 'download-artifact-macro'
+      - 'download-deploy-artifact-macro'
       - 'wait-pkg-mgr-macro'
       - 'deploy-macro'
 
index f75b997e6a7fe089a6497b643701b8df1c78fd64..4ef9f6f8fbc886fea8e46c699d37105b0961e5cf 100644 (file)
     builders:
       - description-setter:
           description: $DEPLOY_SCENARIO
-      - 'download-artifact-macro'
+      - 'download-deploy-artifact-macro'
       - multijob:
           name: "Offline Deployment on Baremetal using {deploy-scenario}"
           condition: SUCCESSFUL
index 82626e274409bcf62e39225cc6a9859d41aaffb8..94318bc69cf1a8789931554987caf6f377512915 100644 (file)
     builders:
       - 'generate-ssh-keypair-macro'
       - 'wait-pkg-mgr-macro'
-      - 'download-artifact-macro'
+      - 'download-{phase}-artifact-macro'
       - '{phase}-macro'
index 610fb6352c12b71544bf3d519fdbeb05ce9de0dc..167bc7655fe144530bd28b19d2306601092b2c5f 100644 (file)
     builders:
       - 'generate-ssh-keypair-macro'
       - 'wait-pkg-mgr-macro'
-      - 'download-artifact-macro'
+      - 'download-{phase}-artifact-macro'
       - '{phase}-macro'
index b9e329cba0d0baf75bcd4ca8fb4be02def5aa2ca..fc5c675551d36bba23d332275afc42fd8de54928 100644 (file)
@@ -94,7 +94,7 @@
 
     wrappers:
       - build-timeout:
-          timeout: 300
+          timeout: 420
       - mask-passwords
       - pre-scm-buildstep:
           failOnError: true
     builders:
       - description-setter:
           description: $DEPLOY_SCENARIO
-      - 'download-artifact-macro'
+      - 'download-deploy-artifact-macro'
       - multijob:
           name: "Offline Deployment on Baremetal using {deploy-scenario}"
           condition: SUCCESSFUL
index c106d49c87d1c6dc4f11d62c17f4f7d6ae39df1b..188e271e2fecc57a862795e7ba030bd61c2de802 100644 (file)
 
     wrappers:
       - build-timeout:
-          timeout: 70
+          timeout: 180
       - credentials-binding:
           - username-password-separated:
               credential-id: 'nordix-cicd-arm-credentials'
 
     wrappers:
       - build-timeout:
-          timeout: 30
+          timeout: 60
       - credentials-binding:
           - username-password-separated:
               credential-id: 'nordix-cicd-arm-credentials'
index deab833051408cc75f19a2806f4303e8ba7a573e..2ac2c5bf5fb9562c3c13fcba234169b88d9be000 100644 (file)
     builders:
       - 'generate-ssh-keypair-macro'
       - 'wait-pkg-mgr-macro'
-      - 'download-artifact-macro'
+      - 'download-{phase}-artifact-macro'
       - '{phase}-macro'
similarity index 93%
rename from jjb/cloud-infra/scripts/download-artifact.sh
rename to jjb/cloud-infra/scripts/download-deploy-artifact.sh
index 9b3aebf5c2e5e9ca9af15548f93a2aa60bd27482..7a8ce5d994723afcc212cb7f0f61d2b9ee35070f 100755 (executable)
@@ -35,7 +35,8 @@ if [[ "$EXECUTION_MODE" == "offline-deployment" ]]; then
   echo "Info  : Downloading artifact from Nordix ARM..."
   echo "        $NORDIX_ARTIFACT_URL/$REMOTE_ARTIFACT"
   cd /tmp
-  curl -s -S -O $NORDIX_ARTIFACT_URL/$REMOTE_ARTIFACT
+  # NOTE (fdegir): switched from curl -s -S -O to wget to use wget auto-resume functionality
+  wget -q $NORDIX_ARTIFACT_URL/$REMOTE_ARTIFACT
   echo "Info  : Downloaded the artifact for offline deployment. Extracting..."
   echo "        $(ls -al $OFFLINE_INSTALLER_FILE)"
   chmod +x $OFFLINE_INSTALLER_FILE
diff --git a/jjb/cloud-infra/scripts/download-functest-artifact.sh b/jjb/cloud-infra/scripts/download-functest-artifact.sh
new file mode 100755 (executable)
index 0000000..24d266a
--- /dev/null
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+set -o nounset
+set -o errexit
+
+echo "Info  : Testing of offline deployments is not currently supported! Skipping artifact download"
+
+# vim: set ts=2 sw=2 expandtab:
diff --git a/jjb/cloud-infra/scripts/download-yardstick-artifact.sh b/jjb/cloud-infra/scripts/download-yardstick-artifact.sh
new file mode 120000 (symlink)
index 0000000..9d2c82e
--- /dev/null
@@ -0,0 +1 @@
+download-functest-artifact.sh
\ No newline at end of file